> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fintoc.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Subscription

**`v1`** · Base URL `https://api.fintoc.com/v1`


## OpenAPI

````yaml v2023-11-15/reference/fintoc-api.json GET /subscriptions/{id}
openapi: 3.1.0
info:
  title: fintoc-api
  version: '2023-11-15'
servers:
  - url: https://api.fintoc.com/v1
security:
  - {}
paths:
  /subscriptions/{id}:
    get:
      summary: Retrieve Subscription
      operationId: retrieve-subscription
      parameters:
        - name: id
          in: path
          required: true
          description: The `id` of the Subscription you want to get.
          schema:
            type: string
            default: ''
        - name: Authorization
          in: header
          description: Fintoc Secret Key
          schema:
            type: string
            default: sk_test_9c8d8CeyBTx1VcJzuDgpm4H
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: "{\n\t\"id\": \"sub_m7N9rAWJS9dWDKEe\",\n  \"object\": \"subscription\",\n  \"status\": \"active\",\n  \"account\": {\n\t\t\"id\": \"acc_nMNejK7BT8oGbvO4\",\n\t\t\"object\": \"account\",\n\t\t\"name\": \"Cuenta Corriente\",\n    \"official_name\": \"Cuenta Corriente Moneda Local\",\n    \"number\": \"9530516286\",\n    \"holder_id\": \"134910798\",\n    \"holder_name\": \"Jon Snow\",\n    \"type\": \"checking_account\",\n    \"currency\": \"CLP\",\n\t\t\"institution\": {\n\t\t\t\"country\": \"cl\",\n\t\t\t\"id\": \"cl_banco_santander\",\n\t\t\t\"name\": \"Banco Santander\"\n    }\n\t},\n\t\"created_at\": \"2021-11-11T02:29:16Z\"\n}"
              schema:
                type: object
                properties:
                  id:
                    type: string
                    example: sub_m7N9rAWJS9dWDKEe
                  object:
                    type: string
                    example: subscription
                  status:
                    type: string
                    example: active
                  account:
                    type: object
                    properties:
                      id:
                        type: string
                        example: acc_nMNejK7BT8oGbvO4
                      object:
                        type: string
                        example: account
                      name:
                        type: string
                        example: Cuenta Corriente
                      official_name:
                        type: string
                        example: Cuenta Corriente Moneda Local
                      number:
                        type: string
                        example: '9530516286'
                      holder_id:
                        type: string
                        example: '134910798'
                      holder_name:
                        type: string
                        example: Jon Snow
                      type:
                        type: string
                        example: checking_account
                      currency:
                        type: string
                        example: CLP
                      institution:
                        type: object
                        properties:
                          country:
                            type: string
                            example: cl
                          id:
                            type: string
                            example: cl_banco_santander
                          name:
                            type: string
                            example: Banco Santander
                  created_at:
                    type: string
                    example: '2021-11-11T02:29:16Z'
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: '{}'
              schema:
                type: object
                properties: {}
      deprecated: false

````